Problema atualização versão 2.1.2

#1

Boa tarde pessoal, fiz o upgrade da versão 2.1.1 para 2.1.2 e ocorreu o seguinte problema, os estilos não estão sendo carregados (imagem em anexo)

#2

Também tive esse problema, uma sugestão seria instalar a 2.1.2 do zero e após a instalação mudar o banco de dados para o da versão anterior

#3

Rode o comando composer update-install ou docker-compose exec php composer update-install se utiliza Docker.

#4

Eder, esse problema aconteceu no ambiente de produção, esqueci de comentar

#5

composer update-install deve resolver.

#6

Deu certo, obrigado
Acabei esquecendo de responder aqui rsrs.

1 Like
#7

Boa tarde, o erro persiste, pensei que tinha resolvido com o comando passado pelo @edersoares, mas não, e já instalei a versão 2.1.3, 2.1.4, 2.1.5 e 2.1.6 e todos acontecem esse erro, o que posso fazer ? pois instalei as migrations de versões superiores e não consigo voltar para a versão 2.1.1

#8

@alexandrino você está executando onde este comando?

Está usando Docker ou um servidor web configurado?

#9

Estou usando um servidor web configurado

#10

Então, o comando passado acima estou executando na pasta raiz do ieducar, quando vou na url /install.php, diz que o sistema está atualizado e sem nenhuma pendência, mas quando vou acessar a tela inicial e todas as outras os css não carregam.
Abri o console do chrome para ver o que poderia ser, não sei se ajuda, mas é isso que aparece (anexo)

46

#11

Acesse o servidor, vá na raiz do i-Educar e execute o comando php artisan legacy:link.

Deixe o print do resultado.

#12

04

#13

Os diretórios foram criados corretamente.

Como está a configuração do seu servidor? Qual é o root, public?

Olhe na aba network e veja como está o carregamento dos arquivos de estilo.